package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.OrderInfo;
import com.ruoyi.common.core.domain.vo.OrderInfoVO;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-03
 */
public interface OrderInfoMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public OrderInfo selectOrderInfoById(String id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param orderInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfo orderInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param orderInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertOrderInfo(OrderInfo orderInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param orderInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateOrderInfo(OrderInfo orderInfo);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteOrderInfoById(String id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderInfoByIds(String[] ids);

    /**
     * 根据订单号查询订单
     * 
     * @param orderId 订单号
     * @return 订单信息
     */
    public OrderInfo selectOrderByOrderId(String orderId);

    /**
     * 查询订单列表(包含用户信息和套餐信息)
     * 
     * @param orderInfo 查询条件
     * @return 订单列表
     */
    public List<OrderInfoVO> selectOrderInfoVOList(OrderInfo orderInfo);
}
